Name:		dataplot
Version:	20210713
Release:	1%{?dist}
Summary:	Scientific visualization, statistical analysis, and non-linear modeling
Group:		Applications/Engineering
License:	Public Domain
URL:		http://www.itl.nist.gov/div898/software/dataplot/
Source:		https://www.itl.nist.gov/div898/software/dataplot/ftp/unix/dataplot-%{version}.tar.gz
BuildRequires:	gcc-gfortran
BuildRequires:	cairo-devel
BuildRequires:	freetype
BuildRequires:	gd-devel
BuildRequires:	libjpeg
BuildRequires:	libpng
BuildRequires:	readline-devel
BuildRequires:	xclip
BuildRequires:	zlib


%define dplibdir %{_libdir}/dataplot

%description
Dataplot is a tool for scientific visualization, statistical analysis,
and non-linear modeling.  This build uses IBIT=64 and IPREC=64-64 defaults,
leading to compiler flags: -fdefault-real-8 -fdefault-double-8.


%prep
%autosetup -n dataplot


%build
%make_build -C src DPLIBDIR=%{dplibdir}   %{?_smp_mflags}


%install
%make_install -C src install  DPLIBDIR=$RPM_BUILD_ROOT%{dplibdir}  DESTDIR=$RPM_BUILD_ROOT BINDIR=$RPM_BUILD_ROOT%{_bindir}

echo removing zero-length files:
find $RPM_BUILD_ROOT%{dplibdir} -empty -exec rm -v {} +
echo


echo removing hidden files:
find $RPM_BUILD_ROOT%{dplibdir} -name '.??*' -exec rm -v {} +
echo


%files
%doc README INSTALL
/usr/bin/*
%{dplibdir}/*


%changelog
* Mon Aug 28 2023 Benson Muite <benson_muite@emailplus.org> 20190409-1
- Initial packaging based on spec distributed with source
